httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Tkach <ntk...@gmail.com>
Subject Re: [users@httpd] New to apache
Date Wed, 02 Oct 2013 17:45:50 GMT
Yes, if it's an option I'd *strongly* urge you to clone one of the servers
you're needing to upgrade (at least in terms of the Apache) and try the
upgrade there.  If you can clone it as a VM of some sort that would work
even better because you could set everything up, snapshot it, do your work,
and if there's a problem just roll it back.

A lot depends on which modules and how you're using them too.  Upgrades in
my experience have not been *quite* as bad if you're using just standard
Apache modules (like mod_rewrite).  If you're using third-party things that
Apache doesn't support directly, then you could run into issues with
versions there.

But then again, I've only ever done Apache on Solaris/Linux, so YMMV as
they say.



On Wed, Oct 2, 2013 at 11:40 AM, D'Arcy J.M. Cain <darcy@vex.net> wrote:

> On Wed, 2 Oct 2013 12:27:39 -0400
> "SHERMAN Matt (CANBERRA)" <matt.sherman@canberra.com> wrote:
> > As Tim said earlier, it was an in-house IT Administrator that
> > originally installed this to work in conjunction with PHP.  It was
> > installed years ago, and the administrator has since left the
> > company.  Can you tell us what the differences are between 2.2.9 and
> > 2.2.15?
>
> Someone else pointed you to the release notes I think.  The main issue
> will be with local configuration.
>
> > The Operating System is Server 2003 SP2 x86.
>
> Not sure what that is.  Sounds like Windows?  Can't help you there if
> it is.  I run Unix everywhere.
>
> --
> D'Arcy J.M. Cain
> System Administrator, Vex.Net
> http://www.Vex.Net/ IM:darcy@Vex.Net
> VoIP: sip:darcy@Vex.Net
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>
>

Mime
View raw message